package work.xuye.common.alert;

import com.dingtalk.api.DefaultDingTalkClient;
import com.dingtalk.api.DingTalkClient;
import com.dingtalk.api.request.OapiRobotSendRequest;
import com.taobao.api.ApiException;
import lombok.NoArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * @author xuye
 * @since 2023/2/7 18:51
 **/
@Slf4j
@NoArgsConstructor
public class DingMessage {

    private String webhook;
    private String title;
    private String content;

    public static DingMessage init() {
        return new DingMessage();
    }


    public DingMessage to(String token) {
        this.webhook = "https://oapi.dingtalk.com/robot/send?access_token=" + token;
        return this;
    }

    public DingMessage withPreview(String title) {
        this.title = title;
        return this;
    }

    public DingMessage withContent(String content) {
        this.content = content;
        return this;
    }


    public void send() {
        DingTalkClient client = new DefaultDingTalkClient(this.webhook);
        OapiRobotSendRequest request = new OapiRobotSendRequest();
        request.setMsgtype("markdown");
        OapiRobotSendRequest.Markdown markdown = new OapiRobotSendRequest.Markdown();
        markdown.setTitle(this.title);
        markdown.setText(this.content);
        OapiRobotSendRequest.At at = new OapiRobotSendRequest.At();
        request.setMarkdown(markdown);
        try {
            client.execute(request);
        } catch (ApiException e) {
            log.warn("钉钉消息发送失败", e);
        }
    }


}
