package work.xuye.common.controller;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import work.xuye.common.annotation.ResponseBodyEnhanceController;
import work.xuye.common.db.entity.Datasource;
import work.xuye.common.db.entity.Mapping;
import work.xuye.common.db.entity.Task;
import work.xuye.common.db.entity.Template;
import work.xuye.common.db.service.DatasourceService;
import work.xuye.common.db.service.MappingService;
import work.xuye.common.db.service.TaskService;
import work.xuye.common.db.service.TemplateService;

import java.util.List;

/**
 * @author xuye
 * @since 2023/3/4 14:03
 **/
@Slf4j
@RequestMapping("/config")
@RequiredArgsConstructor
@ResponseBodyEnhanceController
public class ConfigController {


    private final TaskService taskService;
    private final TemplateService templateService;
    private final MappingService mappingService;
    private final DatasourceService datasourceService;


    @GetMapping("/task")
    public List<Task> taskList() {
        return taskService.list();
    }

    @GetMapping("/template")
    public List<Template> templateList() {
        return templateService.list();
    }

    @GetMapping("/mapping")
    public List<Mapping> mappingList() {
        return mappingService.list();
    }

    @GetMapping("/datasource")
    public List<Datasource> datasourceList() {
        return datasourceService.list();
    }
}
