package work.xuye.common.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.http.HttpMethod;

import java.util.Map;

/**
 * @author xuye
 * @since 2023/2/17 23:41
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HttpRequestParams {

    private String method = HttpMethod.GET.name();

    private String url;
    private String body = "";

    private Map<String, String> headers = Map.of();

    public static HttpRequestParams build() {
        return new HttpRequestParams();
    }

    public HttpRequestParams method(String method) {
        this.method = method;
        return this;
    }

    public HttpRequestParams url(String url) {
        this.url = url;
        return this;
    }

    public HttpRequestParams body(String body) {
        this.body = body;
        return this;
    }

    public HttpRequestParams addHeader(String key, String value) {
        headers.put(key, value);
        return this;
    }


}
