package work.xuye.common.store;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;
import org.springframework.util.DigestUtils;
import work.xuye.common.constant.RedisKeyConstants;

import java.util.concurrent.TimeUnit;

/**
 * @author xuye
 * @since 2023/3/6 21:56
 **/
@Slf4j
@Component
@RequiredArgsConstructor
public class MessageMD5Store {

    private final RedisTemplate<String, String> redisTemplate;

    public boolean exist(String message) {
        String md5Digest = DigestUtils.md5DigestAsHex(message.getBytes());
        return redisTemplate.opsForHash().hasKey(RedisKeyConstants.MESSAGE_MD5_MAP, md5Digest);
    }

    public void save(String message) {
        String md5Digest = DigestUtils.md5DigestAsHex(message.getBytes());
        redisTemplate.opsForHash().put(RedisKeyConstants.MESSAGE_MD5_MAP, md5Digest, message);
        redisTemplate.expire(RedisKeyConstants.MESSAGE_MD5_MAP, 60, TimeUnit.SECONDS);
    }

}
