package work.xuye.common.store;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;
import work.xuye.common.constant.RedisKeyConstants;

/**
 * @author xuye
 * @since 2023/3/6 21:56
 **/
@Slf4j
@Component
@RequiredArgsConstructor
public class UrlMD5MapStore {

    private final RedisTemplate<String, String> redisTemplate;

    public void put(String url, String md5) {
        redisTemplate.opsForHash().put(RedisKeyConstants.URL_MD5_MAP, url, md5);
    }

    public String get(String url) {
        return (String) redisTemplate.opsForHash().get(RedisKeyConstants.URL_MD5_MAP, url);
    }


}
