package work.xuye.sink.handler;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.messaging.Message;
import org.springframework.messaging.MessageHeaders;
import org.springframework.stereotype.Component;
import work.xuye.common.constant.MessageConstants;
import work.xuye.common.constant.StageConstants;
import work.xuye.common.db.service.TaskManager;
import work.xuye.common.dto.TaskVO;

/**
 * @author xuye
 * @since 2023/2/19 17:20
 **/
@Slf4j
@Component
@RequiredArgsConstructor
public class SinkHandler {


    private final TaskManager taskManager;
    private final MySqlSInk mySqlSInk;


    public Message<String> handle(Message<String> message) {
        MessageHeaders headers = message.getHeaders();
        String currentStage = (String) headers.get(MessageConstants.CURRENT_STAGE);
        if (StageConstants.END.equals(currentStage)) {
            log.debug("@@@ 此消息已经处于结束状态，无需处理");
            return null;
        }

        Integer taskId = (Integer) headers.get(MessageConstants.TASK_ID);
        TaskVO taskVO = taskManager.getTaskInfoByTaskId(taskId);
        return mySqlSInk.handle(message, taskVO);
    }
}
