package work.xuye.transformer.processor;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.messaging.Message;
import work.xuye.common.dto.HttpRes;
import work.xuye.transformer.handler.TransformApiHandler;

import java.util.List;
import java.util.function.Function;

/**
 * @author xuye
 * @since 2023/1/15 19:00
 **/
@Slf4j
@Configuration
@RequiredArgsConstructor
public class MessageProcessor {

    private final TransformApiHandler transformApiHandler;

    @Bean
    public Function<Message<HttpRes>, List<Message<String>>> transformApi() {
        return transformApiHandler::handle;
    }


}
